NNO Docs
API ReferenceStack registry

NNO Stack Registry API

API for managing NNO stack template definitions and versions.

List active stack templates

GET
/api/v1/stacks

Response Body

application/json

curl -X GET "https://stack-registry.svc.nno.app/api/v1/stacks"
{
  "data": [
    {
      "id": "string",
      "name": "string",
      "display_name": "string",
      "description": "string",
      "icon": "string",
      "domain": "string",
      "latest_version": "string",
      "status": "string",
      "created_at": 0,
      "updated_at": 0
    }
  ],
  "total": 0
}

Create a new stack template

POST
/api/v1/stacks

Request Body

application/json

name*string
Match^[a-z0-9-]+$
Length1 <= length <= 64
displayName*string
Length1 <= length <= 128
description*string
Length1 <= length <= 1024
icon?string
domain?string

Response Body

application/json

application/json

application/json

curl -X POST "https://stack-registry.svc.nno.app/api/v1/stacks" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "displayName": "string",    "description": "string"  }'
{
  "id": "string"
}
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "string",
    "details": null
  }
}

Get stack template detail with latest version

GET
/api/v1/stacks/{name}

Path Parameters

name*string

Response Body

application/json

application/json

curl -X GET "https://stack-registry.svc.nno.app/api/v1/stacks/string"
{
  "template": null,
  "latestVersion": null
}
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "string",
    "details": null
  }
}

Update a stack template

PATCH
/api/v1/stacks/{name}

Path Parameters

name*string

Request Body

application/json

displayName?string
Length1 <= length <= 128
description?string
Length1 <= length <= 1024
icon?string
status?string
Value in"active" | "deprecated"

Response Body

application/json

application/json

application/json

curl -X PATCH "https://stack-registry.svc.nno.app/api/v1/stacks/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "ok": true
}
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "string",
    "details": null
  }
}

List all versions of a stack template

GET
/api/v1/stacks/{name}/versions

Path Parameters

name*string

Response Body

application/json

application/json

curl -X GET "https://stack-registry.svc.nno.app/api/v1/stacks/string/versions"
{
  "data": [
    {
      "id": "string",
      "template_id": "string",
      "version": "string",
      "stack_definition": "string",
      "nno_sdk_version": "string",
      "status": "string",
      "published_at": 0,
      "created_at": 0
    }
  ],
  "total": 0
}
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "string",
    "details": null
  }
}

Publish a new stack version

POST
/api/v1/stacks/{name}/versions

Path Parameters

name*string

Request Body

application/json

version*string
Match^\d+\.\d+\.\d+(-[a-zA-Z0-9.]+)?$
stackDefinition*
nnoSdkVersion*string
Match^\d+\.\d+\.\d+(-[a-zA-Z0-9.]+)?$

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://stack-registry.svc.nno.app/api/v1/stacks/string/versions" \  -H "Content-Type: application/json" \  -d '{    "version": "string",    "stackDefinition": {      "property1": null,      "property2": null    },    "nnoSdkVersion": "string"  }'
{
  "id": "string"
}
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "string",
    "details": null
  }
}

Get a specific stack version

GET
/api/v1/stacks/{name}/{version}

Path Parameters

name*string
version*string

Response Body

application/json

application/json

curl -X GET "https://stack-registry.svc.nno.app/api/v1/stacks/string/string"
{
  "id": "string",
  "template_id": "string",
  "version": "string",
  "stack_definition": "string",
  "nno_sdk_version": "string",
  "status": "string",
  "published_at": 0,
  "created_at": 0
}
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "string",
    "details": null
  }
}

Deprecate a stack version

DELETE
/api/v1/stacks/{name}/{version}

Path Parameters

name*string
version*string

Response Body

application/json

application/json

curl -X DELETE "https://stack-registry.svc.nno.app/api/v1/stacks/string/string"
{
  "ok": true
}
{
  "error": {
    "code": "string",
    "message": "string",
    "requestId": "string",
    "details": null
  }
}